function index = EffectiveIndexMap(x,z)

nbg    = 2.0;
deltan = 2.0e-03;
wg     = 4.0e-06;

center = CenterLine(z);

%index  = nbg + deltan*(abs(abs(x) - center) < wg/2.0);

aux1 = exp( -( (x - center)./(wg/2)   ).^20.0 );
aux2 = exp( -( (x + center)./(wg/2)   ).^20.0 );

index  = nbg + deltan*max( aux1, aux2 ) ;



function cnt = CenterLine(z)

Lmiddle     = 0.012;
Lwidth      = 50.0e-06;
Ltransition = 0.005;

absz = abs(z);

if(absz < Lmiddle/2.0) cnt = Lwidth/2.0; return; end;

absz = absz - Lmiddle/2.0;

if( absz < Ltransition ) cnt = Lwidth/2.0*cos( absz/Ltransition*pi/2 )^2; return; end;

cnt = 0.0;

end



end

