%% Perfectly Matched Layer BC in BPM based on CN
%% Illustration for a Mach-Zehnder Interferometer

clear all; close all;

%% load input parameters
Parameters

%% Definition of AA, BB 
PML

%% Initial condition
E0 = GaussianBeam1D(cx, 0.0, w0, nref*k0, 0.0, 0.0);

%% this will hold the map of amplitude in z-x space
map = zeros(100,NX);



%% PROPAGATE
tic;

Eold     = E0;
currentz = cz(1);
test     =  0;
phase    =  exp(1i*pi*0.0);

for i=1:NZ
while currentz < cz(i) 

%% Permittivity spatial profile
   eps  = EffectiveIndexMap(cx,currentz).^2;

   Enew = CrankNicolson(dx, k0, Eold, Eold, NX, dz, AA, BB, eps, nref);  
   Eold = Enew;
   currentz = currentz + dz;

end;

mapfield(:,i) = Eold;

figure(2);
subplot(2,1,1);
plot(cx,abs(Eold));
subplot(2,1,2);
imagesc((abs(mapfield) + 1.0e-20))
pause(0.01);


display(currentz);

% insert phase change into one arm
if currentz>0.0
if test==0 
  for x=1:NX/2  Eold(x) = phase*Eold(x); end;
  test = 1;
end;
end;

end
toc;

