%% Input beam parameters
  lambda = 633e-9;           % wavelength 
  w0     = 8.0e-06;          % beam size

%% Derived parameters
  k0     = 2*pi/lambda;      % wavenumber in vacuum 

%% Computational grid etc.    
  LX = 150.0e-06;            % x-box size (transverse dimension)
  NX = 401;                  % number of points in x-dimension

%% derived grid params
  dx      = LX/(NX+1);       % x-grid lattice spacing
  index_x = 1:NX;
  cx      = ((index_x -NX/2)*dx)'; %' coordinates


%% Integration control
  zmin   =  -1.5e-02;         % propagation distance 
  zmax   =  +2.0e-02;         % propagation distance 
  dz     =   5.0e-07;         % propagation step 

%% mapping index and beam profile at:
  NZ = 400;
  cz =  linspace(zmin,zmax,NZ);  % z-coordinates to sample results

  mapfield = zeros(NX,NZ);
  mapindex = zeros(NX,NZ);

  for i=1:NZ mapindex(:,i) = EffectiveIndexMap(cx,cz(i)); end;




nref  = EffectiveIndexMap(1.0,1.0);

figure(1);
imagesc(mapindex);
